searchNodes=[{"doc":"Deadline is a small library for managing deadlines and for performing deadline propagation across systems. It uses process dictionary both for performance and to make the library more ergonomic.# Set a deadline in milliseconds Deadline.set(1_000) # Perform some work that takes longer than a second Deadline.work(fn -&gt; Service.call() end) # Won&#39;t be called because we&#39;ve exceeded our deadline Deadline.work(fn -&gt; Service.call() end) if Deadline.reached?() do :cancel else do_some_work() end","ref":"Deadline.html","title":"Deadline","type":"module"},{"doc":"Returns the deadline context.","ref":"Deadline.html#get/0","title":"Deadline.get/0","type":"function"},{"doc":"Checks if a deadline has been reached or exceeded.","ref":"Deadline.html#reached?/0","title":"Deadline.reached?/0","type":"function"},{"doc":"Sets the deadline context. If a integer is passed it is assumed to be the desired deadline in milliseconds. This function also accepts a full deadline context. This is most commonly used when a deadline has already been set and the context needs to be propagated to another BEAM process.","ref":"Deadline.html#set/1","title":"Deadline.set/1","type":"function"},{"doc":"Returns the remaining time before the dealine is reached, in a given unit. Defaults to :millisecond units.","ref":"Deadline.html#time_remaining/1","title":"Deadline.time_remaining/1","type":"function"},{"doc":"Performs some work. If the deadline has already been exceeded than the function will not be called and the code will not be executed. If the deadline is reached, the calling process will receive an exit signal with the reason of :canceled. If you do not want the calling process to exit, you will need to trap exits and handle any necessary cleanup.","ref":"Deadline.html#work/1","title":"Deadline.work/1","type":"function"}]